| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSXView Class Reference

List of all members.

## Public Member Functions
(BOOL) | - acceptsFirstResponder
| Returns YES to indicate that it will become the first responder.
(void) | - dealloc
| Deallocate object.
(id) | - initWithFrame:
| Initialize object.
(void) | - keyDown:
| Events - passed to driver.
(void) | - setDelegate:
| Set the delegate.
## Protected Attributes
OSXDelegate2D * | delegate
| Delegate passes along events.

## Detailed Description

Definition at line 14 of file OSXView.h.

## Member Function Documentation

- (BOOL) acceptsFirstResponder |  |  |  |

Returns YES to indicate that it will become the first responder.

- (void) dealloc |  |  |  |

Deallocate object.

- (id) initWithFrame: |  | (NSRect) | frame |  |

Initialize object.

- (void) keyDown: |  | (NSEvent *) | ev |  |

Events - passed to driver.

- (void) setDelegate: |  | (OSXDelegate2D *) | inDelegate |  |

Set the delegate.

## Member Data Documentation

- (OSXDelegate2D*) delegate`[protected]`

Delegate passes along events.

Definition at line 17 of file OSXView.h.

The documentation for this class was generated from the following file:

- csplugincommon/macosx/OSXView.h